﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ReportShaperUI
{
    /// <summary>
    /// Interaction logic for RSMain.xaml
    /// </summary>
    public partial class RSMain : Window
    {
        bool CollapseState = false;
        double LastSizePanelSize = 175;
        public RSMain()
        {
            InitializeComponent();
            filterBar.Tag = "";
        }

        private void MainSplitter_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            CollapseState = !CollapseState;

            if (CollapseState)
            {
                LastSizePanelSize = MainGrid.ColumnDefinitions[0].Width.Value;
                MainGrid.ColumnDefinitions[0].MinWidth = 0;
                MainGrid.ColumnDefinitions[0].MaxWidth = 0;
                MainGrid.ColumnDefinitions[0].Width = new GridLength(0);
                MainGrid.ColumnDefinitions[1].Width = new GridLength(30);
            }
            else
            {
                MainGrid.ColumnDefinitions[0].MinWidth = 175;
                MainGrid.ColumnDefinitions[0].MaxWidth = 300;
                MainGrid.ColumnDefinitions[0].Width = new GridLength(LastSizePanelSize);
                MainGrid.ColumnDefinitions[1].Width = new GridLength(3);
            }

        }


    }
}
